Bug 37040 - update chinese/libtabe to 0.2.5
Summary: update chinese/libtabe to 0.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clive Lin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-13 16:40 UTC by kcwu
Modified: 2002-04-17 12:53 UTC (History)
0 users

See Also:


Attachments
file.diff (5.09 KB, patch)
2002-04-13 16:40 UTC, kcwu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kcwu 2002-04-13 16:40:01 UTC
* update libtabe to 0.2.5
* change maintainer
  keith is too busy, so I'd like to help him.
Comment 1 kcwu 2002-04-13 18:54:49 UTC
On Sat, Apr 13, 2002 at 08:40:01AM -0700, FreeBSD-gnats-submit@FreeBSD.org wrote:
> >Category:       ports
> >Responsible:    freebsd-ports
> >Synopsis:       update chinese/libtabe to 0.2.5
> >Arrival-Date:   Sat Apr 13 08:40:01 PDT 2002
please use this patch instead

Binary files xcin25.old/.Makefile.swp and xcin25/.Makefile.swp differ
diff -urN xcin25.old/Makefile xcin25/Makefile
--- xcin25.old/Makefile	Sun Apr 14 01:42:42 2002
+++ xcin25/Makefile	Sun Apr 14 01:43:32 2002
@@ -6,42 +6,62 @@
 #
 
 PORTNAME=	xcin
-PORTVERSION=	2.5.2.3
-PORTREVISION=	2
+PORTVERSION=	2.5.3.pre2
 CATEGORIES=	chinese x11
 MASTER_SITES=	ftp://xcin.linux.org.tw/pub/xcin/xcin/ \
+		ftp://xcin.linux.org.tw/pub/xcin/xcin/devel/ \
 		http://chewing.oio.cx/download/ \
 		http://chewing.oio.cx/snapshot/
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} chewing-2001Nov01-snapshot.tar.gz
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} chewing-2001Dec21-snapshot.tar.gz
 
-MAINTAINER=	keith@FreeBSD.org
+MAINTAINER=	kcwu@ck.tp.edu.tw
 
-LIB_DEPENDS=	tabe.0:${PORTSDIR}/chinese/libtabe \
+LIB_DEPENDS=	tabe.2:${PORTSDIR}/chinese/libtabe \
 		intl.2:${PORTSDIR}/devel/gettext \
-		db2.0:${PORTSDIR}/databases/db
+		iconv.3:${PORTSDIR}/converters/libiconv
+.if !defined(USE_DB2)
+LIB_DEPENDS+=	db3.2:${PORTSDIR}/databases/db3
+.else
+LIB_DEPENDS+=	db2.0:${PORTSDIR}/databases/db
+.endif
 RUN_DEPENDS=	${X11BASE}/lib/X11/fonts/local/kc15f.pcf.gz:${PORTSDIR}/chinese/kcfonts \
-		${LOCALBASE}/share/tabe/libtabe-0.2.2:${PORTSDIR}/chinese/libtabe
+		${LOCALBASE}/share/tabe/libtabe-0.2.5:${PORTSDIR}/chinese/libtabe
 
 WRKSRC=		${WRKDIR}/xcin
 USE_X_PREFIX=	yes
 GNU_CONFIGURE=	yes
+INSTALLS_SHLIB=	yes
 CONFIGURE_ARGS=	--prefix=${PREFIX} \
-		--x-libraries=${PREFIX}/lib \
+		--x-libraries=${X11BASE}/lib \
 		--with-xcin-dir=${PREFIX}/lib/X11/xcin25 \
-		--with-dbinc=${LOCALBASE}/include/db2 \
-		--with-dblib=${LOCALBASE}/lib \
-		--with-tabeinc=${LOCALBASE}/include/tabe \
-		--with-tabelib=${LOCALBASE}/lib \
-		--with-intlinc=${LOCALBASE}/include \
-		--with-intllib=${LOCALBASE}/lib
+		--with-db-lib=${LOCALBASE}/lib \
+		--with-tabe-inc=${LOCALBASE}/include/tabe \
+		--with-tabe-lib=${LOCALBASE}/lib \
+		--with-intl-inc=${LOCALBASE}/include \
+		--with-intl-lib=${LOCALBASE}/lib \
+		--with-iconv-inc=${LOCALBASE}/include \
+		--with-iconv-lib=${LOCALBASE}/lib
+.if !defined(USE_DB2)
+CONFIGURE_ARGS+= --with-db-inc=${LOCALBASE}/include/db3
+.else
+CONFIGURE_ARGS+= --with-db-inc=${LOCALBASE}/include/db2
+.endif
+
+MAN1=		xcin.1
+
+pre-fetch:
+.if !defined(USE_DB2)
+	@${ECHO} --
+	@${ECHO} "Type \"make -DUSE_DB2\" if you want use DB2."
+	@${ECHO} "Otherwise, xcin2.5 will use DB3."
+	@${ECHO} --
+.endif
 
 post-patch:
 	@mv ${WRKDIR}/chewing ${WRKSRC}/src/Cinput
 	@cd ${WRKSRC}/src/Cinput/chewing; ${SH} ./patch_chewing
 
 post-install:
-	strip ${PREFIX}/bin/xcin2.5
-	strip ${PREFIX}/lib/X11/xcin25/bin/cin2tab
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${PREFIX}/lib/X11/xcin25/doc
 .for DOC in Bugs COPYING CREDITS Changes Cin CopyRight FAQ README \
diff -urN xcin25.old/distinfo xcin25/distinfo
--- xcin25.old/distinfo	Sun Apr 14 01:42:42 2002
+++ xcin25/distinfo	Sat Apr 13 22:36:27 2002
@@ -1,2 +1,2 @@
-MD5 (xcin-2.5.2.3.tar.gz) = 17fe49ca69ad2f627e25a3ad21e20a93
-MD5 (chewing-2001Nov01-snapshot.tar.gz) = 26c8d414ae07c2b5f08b0b3491fe3181
+MD5 (xcin-2.5.3.pre2.tar.gz) = 6f47203be515f505d5a6750dfbabc0bc
+MD5 (chewing-2001Dec21-snapshot.tar.gz) = f4dce61ef91e52b9fe7ef65be2d291ea
diff -urN xcin25.old/files/patch-aa xcin25/files/patch-aa
--- xcin25.old/files/patch-aa	Sun Apr 14 01:42:42 2002
+++ xcin25/files/patch-aa	Sat Apr 13 22:36:23 2002
@@ -1,10 +1,9 @@
---- src/util/cin2tab/Makefile.in.orig	Thu Jul 20 09:46:36 2000
-+++ src/util/cin2tab/Makefile.in	Sat Aug 12 15:13:28 2000
-@@ -72,5 +72,7 @@
+--- src/util/cin2tab/Makefile.in.orig	Sat Sep  8 21:35:30 2001
++++ src/util/cin2tab/Makefile.in	Sun Nov  4 17:09:07 2001
+@@ -25,4 +25,5 @@
  distclean: clean
- 	rm -f Makefile .depend
+ 	rm -rf Makefile .libs
  install: $(BIN)
--	$(INSTALL_PROGRAM) $(BIN) $(xcin_binp)
-+	if [ ! -d $(xcin_libp)/bin ]; then mkdir -p $(xcin_libp)/bin; fi
-+	if [ -f $(xcin_libp)/bin/$(BIN) ]; then mv $(xcin_libp)/bin/$(BIN) $(xcin_libp)/bin/$(BIN).old; fi
-+	$(INSTALL_PROGRAM) $(BIN) $(xcin_libp)/bin
+-	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(BIN) $(xcin_binp)
++	mkdir -p $(xcin_modp)/bin
++	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(BIN) $(xcin_modp)/bin
diff -urN xcin25.old/files/patch-ab xcin25/files/patch-ab
--- xcin25.old/files/patch-ab	Sun Apr 14 01:42:42 2002
+++ xcin25/files/patch-ab	Thu Jan  1 08:00:00 1970
@@ -1,10 +0,0 @@
---- src/lib/Makefile.in.orig	Sun Nov 28 14:03:20 1999
-+++ src/lib/Makefile.in	Sat Dec 18 16:55:02 1999
-@@ -19,6 +19,7 @@
- 	$(LN_S) IMdkit/IMdkit/libXimd.a .
- 
- .PHONY: install clean distclean depend
-+
- install:
- 
- depend:
diff -urN xcin25.old/files/patch-ad xcin25/files/patch-ad
--- xcin25.old/files/patch-ad	Sun Apr 14 01:42:42 2002
+++ xcin25/files/patch-ad	Sat Apr 13 22:36:23 2002
@@ -1,11 +1,11 @@
---- src/Makefile.in.orig	Sun Feb 27 02:12:52 2000
-+++ src/Makefile.in	Sun Feb 27 02:12:58 2000
-@@ -45,7 +45,7 @@
- LIB = -lm ${x_libraries} ${extra_lib} ${locale_lib} ${dl_lib} ${intl_lib} \
-       ${xcinlib} -lXimd -lim_comm -lxcintool -lsiod ${socket_lib}
+--- src/Makefile.in.orig	Sat Sep 22 00:41:41 2001
++++ src/Makefile.in	Sun Nov  4 17:20:59 2001
+@@ -9,7 +9,7 @@
+ LIB	= ${xcinlib} -lXimd -lim_comm lib/libxcin.la \
+ 	  ${x_libraries} ${locale_lib} ${dl_lib} ${intl_lib} -lm
  
--BIN    = xcin
-+BIN    = xcin2.5
- SRC    = xcin_main.c module.c gui.c xim.c xim_IC.c fkey.c gui_main.c \
- 	 gui_menusel.c gui_overspot.c
- OBJ    = xcin_main.o module.o gui.o xim.o xim_IC.o fkey.o gui_main.o \
+-BIN	= xcin
++BIN	= xcin2.5
+ SRC	= xcin_main.c module.c gui.c xim.c xim_IC.c fkey.c gui_main.c \
+ 	  gui_menusel.c gui_overspot.c gui_main2.c
+ OBJ	= $(SRC:.c=.o)
diff -urN xcin25.old/files/patch-ae xcin25/files/patch-ae
--- xcin25.old/files/patch-ae	Sun Apr 14 01:42:42 2002
+++ xcin25/files/patch-ae	Thu Jan  1 08:00:00 1970
@@ -1,13 +0,0 @@
---- etc/xcinrc.FREEBSD.orig	Mon Oct  9 01:25:34 2000
-+++ etc/xcinrc.FREEBSD	Mon Oct  9 01:25:47 2000
-@@ -87,8 +87,8 @@
-           (PINPHO_MAP           "bims_pinyin")
-         ;
-         ; The following has effect only when AUTO_SELECTION is YES
--          (TSI_FNAME            "tsi.db")
--          (YIN_FNAME            "yin.db")
-+          (TSI_FNAME            "/usr/local/share/tabe/tsiyin/tsi.db")
-+          (YIN_FNAME            "/usr/local/share/tabe/tsiyin/yin.db")
-           (SPACE_SELECTION      NO)
-           (PHRASE_SELECTION     YES)
-           (N_SELECTION_PHR      4)
diff -urN xcin25.old/files/patch-af xcin25/files/patch-af
--- xcin25.old/files/patch-af	Sun Apr 14 01:42:42 2002
+++ xcin25/files/patch-af	Thu Jan  1 08:00:00 1970
@@ -1,9 +0,0 @@
---- src/Cinput/bimsphone/Makefile.in.orig	Thu Jul 20 09:46:35 2000
-+++ src/Cinput/bimsphone/Makefile.in	Sat Aug 12 15:15:56 2000
-@@ -38,7 +38,7 @@
- xcininc = -I$(top_srcdir)/src/include
- xcinlib = -L${top_srcdir}/src/lib
- INC     = $(xcininc) $(x_includes) $(extra_inc) $(tabe_inc) $(db_inc)
--LIB     = $(xcinlib) $(extra_lib) $(tabe_lib) $(db_lib)
-+LIB     = $(xcinlib) $(extra_lib) $(tabe_lib) $(db_lib) -lgcc
- TARGET  = bimsphone.$(slib_ext)
diff -urN xcin25.old/files/patch-ai xcin25/files/patch-ai
--- xcin25.old/files/patch-ai	Sun Apr 14 01:42:42 2002
+++ xcin25/files/patch-ai	Thu Jan  1 08:00:00 1970
@@ -1,11 +0,0 @@
---- src/lib/IMdkit/IMConn.c.orig	Sun Nov  4 03:52:26 2001
-+++ src/lib/IMdkit/IMConn.c	Sun Nov  4 03:52:35 2001
-@@ -30,7 +30,7 @@
- ******************************************************************/
- 
- #include <X11/Xlib.h>
--#include <malloc.h>
-+#include <stdlib.h>
- #include <string.h>
- #include "IMdkit.h"
- #include <stdarg.h>
diff -urN xcin25.old/files/patch-gen_inp.c xcin25/files/patch-gen_inp.c
--- xcin25.old/files/patch-gen_inp.c	Thu Jan  1 08:00:00 1970
+++ xcin25/files/patch-gen_inp.c	Sat Apr 13 22:36:23 2002
@@ -0,0 +1,46 @@
+--- src/Cinput/gen_inp/gen_inp.c.orig	Tue Nov 27 10:19:04 2001
++++ src/Cinput/gen_inp/gen_inp.c	Tue Apr  9 19:15:32 2002
+@@ -1285,16 +1285,20 @@
+ 	    inpinfo->mcch_grouping = NULL;
+ 
+ 	    if ((keyinfo->keystate & Mod1Mask) &&	/* alt-Num/space */
+-		(('1'<=keystr[0] && keystr[0]<='9') || 
++		(('0'<=keystr[0] && keystr[0]<='9') ||
+ 		 ((cf->mode & INP_MODE_SPACEAUTOUP) && keysym==XK_space))) {
+ 		int choice=-1;
+ 
+ 		if (keysym == XK_space)
+ 		    choice = 1;
+-		else if (keystr[0] >= '1' && keystr[0] <= '9')
+-		    choice = (int)(keystr[0] - '0');
+-		if (cf->mode & INP_MODE_SELKEYSHIFT)
+-		    choice ++;
++		else {
++		    if (keystr[0] >= '1' && keystr[0] <= '9')
++			choice = (int)(keystr[0] - '0');
++		    else if (keystr[0] == '0')
++			choice = 10;
++		    if (cf->mode & INP_MODE_SELKEYSHIFT)
++			choice ++;
++		}
+ 		if (choice >= 1 && choice <= iccf->nreltsi) {
+ 		    strncpy(cch_s, iccf->reltsi+iccf->tsiindex[choice-1], 
+ 			    iccf->tsigroup[choice]*2);
+@@ -1304,11 +1308,15 @@
+ 		}
+ 		hint_processing = 1;
+ 	    }
+-	    else if (keysym==XK_Escape || keysym==XK_BackSpace ||
+-		     keysym==XK_Delete ||
++	    else if (keysym==XK_Escape || 
+ 		     keysym==XK_Shift_L || keysym==XK_Shift_R ||
+ 		     keysym==XK_Control_L || keysym==XK_Control_R) {
+ 		hint_processing = 1;
++	    }
++	    else if (keysym==XK_BackSpace || keysym==XK_Delete) {
++		hint_processing = 1;
++		iccf->showtsiflag = 0;
++		ret |= IMKEY_IGNORE;
+ 	    }
+ 	}
+     }
diff -urN xcin25.old/files/patch-gui_main.c xcin25/files/patch-gui_main.c
--- xcin25.old/files/patch-gui_main.c	Thu Jan  1 08:00:00 1970
+++ xcin25/files/patch-gui_main.c	Sat Apr 13 22:36:23 2002
@@ -0,0 +1,11 @@
+--- src/gui_main.c.orig	Mon Nov 26 08:54:25 2001
++++ src/gui_main.c	Tue Apr  9 19:15:32 2002
+@@ -234,7 +234,7 @@
+ /*
+ 	len = wch_mblen(tmp);
+ */
+-	len = 4;
++	len = (tmp->s[1] != '\0') ? 2 : 1;
+         XmbDrawImageString(gui->display, win->window,
+             win->font->fontset, win->wingc[GCM_idx], x, y, (char *)tmp->s, len);
+ 	x += XmbTextEscapement(win->font->fontset, (char *)tmp->s, len);
diff -urN xcin25.old/files/patch-xcinrc.FREEBSD xcin25/files/patch-xcinrc.FREEBSD
--- xcin25.old/files/patch-xcinrc.FREEBSD	Thu Jan  1 08:00:00 1970
+++ xcin25/files/patch-xcinrc.FREEBSD	Sat Apr 13 23:00:48 2002
@@ -0,0 +1,42 @@
+--- etc/xcinrc.FREEBSD.orig	Sat Apr 13 22:57:29 2002
++++ etc/xcinrc.FREEBSD	Sat Apr 13 22:59:29 2002
+@@ -75,7 +75,7 @@
+           (BEEP_WRONG           YES)
+           (BEEP_DUPCHAR         NO)
+           (TSI_FNAME            "%tabe_data%tsi.db")
+-	  (HINT_SELECT		NO)
++	  (HINT_SELECT		YES)
+ 	  (HINT_TSI		NO)))
+ 
+ (define bimsphone_default
+@@ -126,13 +126,11 @@
+ 
+ (define phone@big5
+ 	'((SETKEY		3)
+-	  (END_KEY		YES)
+-	  (BEEP_DUPCHAR		YES)))
++	  (END_KEY		YES)))
+ 
+ (define jyutping@big5
+ 	'((SETKEY		4)
+-	  (END_KEY		YES)
+-	  (BEEP_DUPCHAR		YES)))
++	  (END_KEY		YES)))
+ 
+ (define bimsphone@big5
+ 	'((SETKEY		6)
+@@ -144,13 +142,11 @@
+ 
+ (define array30@big5
+ 	'((SETKEY		8)
+-      	  (BEEP_DUPCHAR		YES)
+ 	  (DISABLE_SEL_LIST	"w")
+ 	  (KEYSTROKE_REMAP	"t:0xaaba;T:0xaaba;")))
+ 
+ (define jyutping0@big5
+-	'((SETKEY		9)
+-	  (BEEP_DUPCHAR		YES)))
++	'((SETKEY		9)))
+ 
+ 
+ ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
diff -urN xcin25.old/pkg-plist xcin25/pkg-plist
--- xcin25.old/pkg-plist	Sun Apr 14 01:42:42 2002
+++ xcin25/pkg-plist	Sat Apr 13 22:36:27 2002
@@ -1,10 +1,12 @@
 bin/xcin2.5
 etc/xcinrc
+lib/X11/xcin25/bimsphone.a
+lib/X11/xcin25/bimsphone.la
 lib/X11/xcin25/bimsphone.so
-lib/X11/xcin25/chewing.so
-lib/X11/xcin25/gen_inp.so
-lib/X11/xcin25/zh_hex.so
 lib/X11/xcin25/bin/cin2tab
+lib/X11/xcin25/chewing.a
+lib/X11/xcin25/chewing.la
+lib/X11/xcin25/chewing.so
 %%PORTDOCS%%lib/X11/xcin25/doc/Bugs
 %%PORTDOCS%%lib/X11/xcin25/doc/COPYING
 %%PORTDOCS%%lib/X11/xcin25/doc/CREDITS
@@ -33,6 +35,9 @@
 %%PORTDOCS%%lib/X11/xcin25/doc/modules/gen_inp
 %%PORTDOCS%%lib/X11/xcin25/doc/modules/im_comm
 %%PORTDOCS%%lib/X11/xcin25/doc/modules/zh_hex
+lib/X11/xcin25/gen_inp.a
+lib/X11/xcin25/gen_inp.la
+lib/X11/xcin25/gen_inp.so
 lib/X11/xcin25/tab/big5/array30.tab
 lib/X11/xcin25/tab/big5/bims_pinyin.tab
 lib/X11/xcin25/tab/big5/cj.tab
@@ -41,30 +46,37 @@
 lib/X11/xcin25/tab/big5/jyutping0.tab
 lib/X11/xcin25/tab/big5/phone.tab
 lib/X11/xcin25/tab/big5/pinyin.tab
+lib/X11/xcin25/tab/big5/pinyin0.tab
 lib/X11/xcin25/tab/big5/simplex.tab
 lib/X11/xcin25/tab/big5/sys.tab
-lib/X11/xcin25/tab/big5/tsi.db
-lib/X11/xcin25/tab/big5/yin.db
+lib/X11/xcin25/tab/big5/telecode.tab
 lib/X11/xcin25/tab/ch_index.dat
 lib/X11/xcin25/tab/dict.dat
 lib/X11/xcin25/tab/euc/default.phr
 lib/X11/xcin25/tab/euc/jtcj_gb.tab
-lib/X11/xcin25/tab/euc/phonegb2.tab
 lib/X11/xcin25/tab/euc/pinyin.tab
+lib/X11/xcin25/tab/euc/phonegb2.tab
 lib/X11/xcin25/tab/euc/shuangpin.tab
 lib/X11/xcin25/tab/euc/sys.tab
 lib/X11/xcin25/tab/euc/wubizixing.tab
 lib/X11/xcin25/tab/fonetree.dat
 lib/X11/xcin25/tab/ph_index.dat
 lib/X11/xcin25/tab/us_freq.dat
+lib/X11/xcin25/zh_hex.a
+lib/X11/xcin25/zh_hex.la
+lib/X11/xcin25/zh_hex.so
+lib/libxcin.a
+lib/libxcin.la
+lib/libxcin.so
+lib/libxcin.so.0
 share/locale/zh_TW.Big5/LC_MESSAGES/xcin.mo
-@dirrm lib/X11/xcin25/bin
 %%PORTDOCS%%@dirrm lib/X11/xcin25/doc/En/internal
 %%PORTDOCS%%@dirrm lib/X11/xcin25/doc/En
 %%PORTDOCS%%@dirrm lib/X11/xcin25/doc/history
 %%PORTDOCS%%@dirrm lib/X11/xcin25/doc/internal
 %%PORTDOCS%%@dirrm lib/X11/xcin25/doc/modules
-@dirrm lib/X11/xcin25/doc
+%%PORTDOCS%%@dirrm lib/X11/xcin25/doc
+@dirrm lib/X11/xcin25/bin
 @dirrm lib/X11/xcin25/tab/big5
 @dirrm lib/X11/xcin25/tab/euc
 @dirrm lib/X11/xcin25/tab
Comment 2 Ying-Chieh Liao freebsd_committer 2002-04-14 04:18:44 UTC
Responsible Changed
From-To: freebsd-ports->keith

over to maintainer
Comment 3 kcwu 2002-04-14 08:48:25 UTC
> please use this patch instead
sorry, this is not for libtabe,
I reply the wrong pr #.
Comment 4 Clive Lin freebsd_committer 2002-04-16 02:41:58 UTC
Responsible Changed
From-To: keith->clive

I'll handle this in the future.
Comment 5 Clive Lin freebsd_committer 2002-04-17 12:53:28 UTC
State Changed
From-To: open->closed

Committed, thanks!